<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.auction.mapper.AuctionGoodsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="auctionGoodsResultMap" type="org.springblade.modules.auction.entity.AuctionGoods">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="title" property="title"/>
        <result column="images" property="images"/>
        <result column="agency_id" property="agencyId"/>
        <result column="agency_name" property="agencyName"/>
        <result column="agency_type" property="agencyType"/>
        <result column="auction_start_time" property="auctionStartTime"/>
        <result column="auction_end_time" property="auctionEndTime"/>
        <result column="auction_period" property="auctionPeriod"/>
        <result column="auction_period_unit" property="auctionPeriodUnit"/>
        <result column="delay_period" property="delayPeriod"/>
        <result column="delay_period_unit" property="delayPeriodUnit"/>
        <result column="earnest_price" property="earnestPrice"/>
        <result column="advance_price" property="advancePrice"/>
        <result column="markup_price" property="markupPrice"/>
        <result column="starting_price" property="startingPrice"/>
        <result column="valuations_price" property="valuationsPrice"/>
        <result column="hammer_price" property="hammerPrice"/>
        <result column="present_price" property="presentPrice"/>
        <result column="rule_type" property="ruleType"/>
        <result column="rule_msg" property="ruleMsg"/>
        <result column="auction_presenta" property="auctionPresenta"/>
        <result column="auction_affiche" property="auctionAffiche"/>
        <result column="auction_notice" property="auctionNotice"/>
        <result column="status" property="status"/>
        <result column="special_id" property="specialId"/>
        <result column="apply_count" property="applyCount"/>
        <result column="remind_count" property="remindCount"/>
        <result column="onlooker_count" property="onlookerCount"/>
    </resultMap>


    <select id="selectAuctionGoodsPage" resultMap="auctionGoodsResultMap">
        select * from biz_auction_goods where is_deleted = 0
    </select>

</mapper>
